## helma.main
Class ServerConfig

    java.lang.Object
      helma.main.ServerConfig

    public class ServerConfig

extends java.lang.Object

Utility class for server config

Constructor Summary
`ServerConfig()`

Method Summary
`helma.main.InetEndpoint` `getAjp13Port()`
`java.io.File` `getConfigFile()`
`java.io.File` `getHomeDir()`
`java.io.File` `getPropFile()`
`helma.main.InetEndpoint` `getRmiPort()`
`helma.main.InetEndpoint` `getWebsrvPort()`
`helma.main.InetEndpoint` `getXmlrpcPort()`
`boolean` `hasAjp13Port()`
`boolean` `hasHomeDir()`
`boolean` `hasPropFile()`
`boolean` `hasRmiPort()`
`boolean` `hasWebsrvPort()`
`boolean` `hasXmlrpcPort()`
`void` `setAjp13Port(helma.main.InetEndpoint ajp13Port)`
`void` `setConfigFile(java.io.File configFile)`
`void` `setHomeDir(java.io.File homeDir)`
`void` `setPropFile(java.io.File propFile)`
`void` `setRmiPort(helma.main.InetEndpoint rmiPort)`
`void` `setWebsrvPort(helma.main.InetEndpoint websrvPort)`
`void` `setXmlrpcPort(helma.main.InetEndpoint xmlrpcPort)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerConfig

    public ServerConfig()

Method Detail

### hasPropFile

    public boolean hasPropFile()

### hasHomeDir

    public boolean hasHomeDir()

### hasRmiPort

    public boolean hasRmiPort()

### hasXmlrpcPort

    public boolean hasXmlrpcPort()

### hasWebsrvPort

    public boolean hasWebsrvPort()

### hasAjp13Port

    public boolean hasAjp13Port()

### getRmiPort

    public helma.main.InetEndpoint getRmiPort()

### setRmiPort

    public void setRmiPort(helma.main.InetEndpoint rmiPort)

### getXmlrpcPort

    public helma.main.InetEndpoint getXmlrpcPort()

### setXmlrpcPort

    public void setXmlrpcPort(helma.main.InetEndpoint xmlrpcPort)

### getWebsrvPort

    public helma.main.InetEndpoint getWebsrvPort()

### setWebsrvPort

    public void setWebsrvPort(helma.main.InetEndpoint websrvPort)

### getAjp13Port

    public helma.main.InetEndpoint getAjp13Port()

### setAjp13Port

    public void setAjp13Port(helma.main.InetEndpoint ajp13Port)

### getPropFile

    public java.io.File getPropFile()

### setPropFile

    public void setPropFile(java.io.File propFile)

### getHomeDir

    public java.io.File getHomeDir()

### setHomeDir

    public void setHomeDir(java.io.File homeDir)

### getConfigFile

    public java.io.File getConfigFile()

### setConfigFile

    public void setConfigFile(java.io.File configFile)

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.